Find the answer to your Linux question:
Results 1 to 10 of 10
i have an ati radeon 9500 pro video card and i am trying to get 3d acceleration. i downloaded the fglrx driver from the ati web site. i followed the ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Aug 2004
    Posts
    20

    I'm pulling my hair out with this


    i have an ati radeon 9500 pro video card and i am trying to get 3d acceleration. i downloaded the fglrx driver from the ati web site. i followed the directions (i have the source code matching the kernel i am using and the make utility) i get an error with trying to execute the make.sh and make_install.sh........when i exectue the make.sh command i get the following error.................
    marcus@linux:/lib/modules/fglrx/build_mod> su
    Password:
    linux:/lib/modules/fglrx/build_mod # sh make.sh
    ATI module generator V 2.0
    ==========================
    initializing...
    Error:
    XFree86 drm includes at /lib/modules/2.6.5-7.108-default/build/include/../drivers/char/drm do not fit this driver.
    This driver is designed to only work with X4.1.0 or higher.
    You can match this by getting Linux kernel 2.4.8 or higher.
    linux:/lib/modules/fglrx/build_mod #
    now...at ati's web site they have the check.sh script that i used and verified my version of xfree86 that i have and it came back with 4.3.0.....however the driver install is saying i need 4.1.0 or higher to work......which i have.... along with kernel 2.6.5-7.108......what the hell??!! can anyone help me please...i feel that i am very close to getting this to actually work...its been a month now.....i miss my games a lot

  2. #2
    Linux Guru
    Join Date
    Mar 2003
    Location
    Wisconsin
    Posts
    1,907
    Isn't there a SuSe rpm for the ATI drivers? Maybe you could use those instead?

    Jeremy
    Registered Linux user #346571
    "All The Dude ever wanted was his rug back" - The Dude

  3. #3
    Linux Engineer
    Join Date
    Jul 2003
    Location
    Farnborough, UK
    Posts
    1,305
    According to the website it's not good news.

    Go see Q6.

    ati site

    Has anyone got an ati driver working with the 2.6 kernel?
    Lansbury's Lido

    thekiadriver on #linuxforums - fleetingly

  4. #4
    Linux Guru
    Join Date
    Mar 2003
    Location
    Wisconsin
    Posts
    1,907
    fsckin' ATI sucks! I've been going around in circle with their so-called drivers for over a month with little results, other then my stress levels going through the roof.

    Jeremy
    Registered Linux user #346571
    "All The Dude ever wanted was his rug back" - The Dude

  5. #5
    Linux Guru techieMoe's Avatar
    Join Date
    Aug 2004
    Location
    Texas
    Posts
    9,496
    Sadly this seems to be the standard operating procedure of ATI, to treat Linux as a redheaded stepchild. In their recent talk with the Inquirer they were quoted:

    [Terry Makedon, Sr. Product Mgr] said that ATI supports Linux which represents around four per cent of the market, and that the firmís Linux efforts are proportional to the market.

    The way I interpret this is, "Linux isn't a big enough market for us to care, so we're only giving 4% of an effort."

    Meanwhile, I'm trucking along at full speed with my bleeding edge Nvidia card, and even running on a 64-bit CPU. "In development" just doesn't cut it for me, so I buy Nvidia.
    Registered Linux user #270181
    TechieMoe's Tech Rants

  6. #6
    Just Joined!
    Join Date
    Sep 2004
    Posts
    13
    i Agree. Though i have had problems with Nvidia in linux. But generally NVIDIA is faster more up to date and just plain cooler (in a manner of speaking)

  7. #7
    Just Joined!
    Join Date
    Aug 2004
    Posts
    20

    i know

    i know what you guys mean ....it just seems to me that it should be a lot easier to use an ati card.....i've read it on a lot of forums that they got it working with just about any kernel ....and i don't have any money to spend on a new video card yet....i was going to get a radeon 9800 pro but with the ****** driver support from ati....screw it....im going geforce 6800 instead....

    thanks anyways guys

  8. #8
    Linux Guru
    Join Date
    Mar 2003
    Location
    Wisconsin
    Posts
    1,907
    I suggest you send that to ATI. If everyone who switched to nvidia for Linux support sent them a nasty letter explaing why, perhaps their position would change.

    :rock:

    Jeremy
    Registered Linux user #346571
    "All The Dude ever wanted was his rug back" - The Dude

  9. #9
    Just Joined!
    Join Date
    Aug 2004
    Posts
    20

    no...better yet

    go to rage3d.com and go to the forums...then look for linux support...under ati video support there is a petition going for ati to make better 3d drivers for linux......im signing it now...

    there are a few thousand signatures there....

    marcus

  10. #10
    Just Joined!
    Join Date
    Sep 2004
    Location
    vacaville, ca
    Posts
    34
    i had a radeon 9200......tried to get it working did a kernal update and blam! stopped working again at this point i got so P!$$ed off i bought a nvidia card...and that is my suggestion....

    but try rebuilding your kernel or using yast to go to the original one and try updating that kernel and it should update with the kernal next time

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •